<template>
  <div>
    <h1>the number is {{ views }}</h1>
    <button @click="updateCouter(1)">Increase</button>
    <button @click="updateCouter(-1)">Decrease</button>

    <div v-for="(blog, i) in blogs" :key="i">
      <h1>{{ blog.title }}</h1>
      <p>{{ blog.post }}</p>
    </div>
	<div>
		<h1 v-if="showItems">show item if true</h1>
		<h1 v-else>show item if false</h1>

		<button @click="changeShowItem()">Change ShowItems</button>
	</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      views: 0,
	  blogs: [],
	  showItems:false
    };
  },
  methods: {
    updateCouter(number) {
      this.views += number;
	},
	changeShowItem(){
		this.showItems=!this.showItems;
	}
  },
  created() {
    this.views = 100;
    let posts = [
      { title: "this is blog title 1", post: "this is the blog post 1", id: 1 },
      { title: "this is blog title 2", post: "this is the blog post 2", id: 2 },
      { title: "this is blog title 3", post: "this is the blog post 3", id: 3 },
      { title: "this is blog title 4", post: "this is the blog post 4", id: 4 },
    ];
    this.blogs = posts;
  },
};
</script>